<template>
  <div class="list">
    <div :class="{header: true, collapsed}">
      <div class="item">نام محصول</div>
      <div class="item" v-if="!collapsed">قیمت</div>
      <div class="item">تعداد</div>
      <div class="item" v-if="!collapsed">قیمت کل</div>
    </div>
    <OrderProduct v-for="product in products" :key="product.id" :product="product" class="product" :small="collapsed"/>
  </div>
</template>

<script>
import OrderProduct from "@/components/orders/OrderProduct";

export default {
  name: "OrderProductList",
  data() {
    return {
      collapsed: true,
      width: 0
    }
  },
  components: {
    OrderProduct
  },
  props: {
    products: {
      type: Array,
      required: true
    }
  },
  methods: {
    sizeChangeHandler() {
      this.width = window.innerWidth;
      this.collapsed = this.width <= 700;
    }
  },
  mounted() {
    this.width = window.innerWidth;
    this.collapsed = this.width <= 700;
    window.addEventListener("resize", this.sizeChangeHandler);
  },
  beforeDestroy() {
    window.removeEventListener("resize", this.sizeChangeHandler);
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.header
  display grid 
  grid-template-columns repeat(4, minmax(10rem, 1fr))
  direction rtl
  padding $sm $lg
  grid-column-gap $sm
  color $white
  background-color rgba($black, .8)
  @media only screen and (max-width 700px)
    grid-template-columns repeat(2, minmax(10rem, 1fr)) 7.5rem minmax(10rem, 1fr)
    padding $sm $sm
  &.collapsed
    grid-template-columns minmax(10rem, 3fr) minmax(5rem, 1fr)

.product
  &:nth-of-type(even)
    background-color rgba(black, .07)
  &:nth-of-type(odd)
    background-color rgba(black, .02)
</style>